Make NS6 spellchecker load in Mozilla 0.8.1 (regression?)

VERIFIED WONTFIX

Status

()

Core
XPCOM
--
enhancement
VERIFIED WONTFIX
17 years ago
17 years ago

People

(Reporter: neil@parkwaycc.co.uk, Assigned: Scott Collins)

Tracking

Trunk
x86
Windows 95
Points:
---

Firefox Tracking Flags

(Not tracked)

Details

(URL)

(Reporter)

Description

17 years ago
The NS6 spellchecker works in Mozilla 0.8 (e.g. build 2001031008) by copying the
spellchecker folder from NS6's components folder to Mozilla's components folder.

However in Mozilla 0.8.1 Mozilla crashes trying to load the component.
If I skip the offending instruction in VC++ the actual spellchecking works.

I don't know what useful information I can give because I'm using a ZIP download.
*** Bug 79302 has been marked as a duplicate of this bug. ***
(Reporter)

Comment 2

17 years ago
Just downloaded DEPENDS.EXE - the missing (decorated) export is
?InsertStringAt@nsStringArray@@QAEHABV?$basic_nsAReadableString@G@@H@Z
although DEPENDS.EXE refuses to undecorate it.
This is probably WONTFIX. Netscape isn't going to release their 
proprietary spellchecker just to be compatible with some random Mozilla build 
(as opposed to a Netscape release), and Scott isn't going to change the string 
API's back to what they were in M18.
Yeah. Wait for NS 6.5 :-)

Gerv
Status: NEW → RESOLVED
Last Resolved: 17 years ago
Resolution: --- → WONTFIX
(Reporter)

Comment 5

17 years ago
NS 6.1, actually :-) Works great.
Status: RESOLVED → VERIFIED
(Reporter)

Comment 6

17 years ago
$%&* I can't use the NS6.1 spellchecker any more. I'm very sad.
You need to log in before you can comment on or make changes to this bug.